//********************************************************************
//  stack2.c
//
//     Ÿ Stack 
//      Ҵϴ  ̿
//********************************************************************

#include "stack2.h"
#include <stdlib.h>
#include <assert.h>

void error(const char *msg)
{
    printf(": %s ");
    printf("α׷ մϴ.\n");
    exit(-1);
}

Stack * mkStack(int size)
{
    Stack *s = (Stack *) malloc(sizeof(Stack));
    assert(size > 0);
    assert(s);
    s->size = size;
    s->data = (int *) malloc(sizeof(int) * size);
    assert(s->data);
    s->top = 0;
    return s;
}

void push(Stack *s, int item)
{
    if (isFull(s)) error("  ڶ.");
    s->data[s->top++] = item;
}

int pop(Stack *s)
{
    if (isEmpty(s)) error(" .");
    return s->data[--s->top];
}

int isEmpty(const Stack *s)
{
    if (s->top == 0) return 1;
    else return 0;
}

int isFull(const Stack *s)
{
    if (s->top == MAX_SIZE) return 1;
    else return 0;
}

